<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Initial setup for this theme
 *
 * @package   InsightFramework
 */
class Insight_FontIcon {
	/**
	 * The constructor.
	 */
	public function __construct() {
		$this->add_fonts();
	}

	public function add_fonts() {
		add_filter( 'vc_iconpicker-type-fontawesome', array( $this, 'add_fontawesome' ) );
		add_filter( 'vc_iconpicker-type-pe7stroke', array( $this, 'add_pe7stroke' ) );
		add_filter( 'vc_iconpicker-type-ionicons', array( $this, 'add_ionicons' ) );
		add_filter( 'vc_iconpicker-type-9studio', array( $this, 'add_9studio' ) );
	}

	public function add_fontawesome() {
		return array();
	}

	public function add_pe7stroke( $icons ) {
		$pe7stroke_icons = array(
			array( 'pe-7s-album' => esc_html__( 'Album', 'tm-9studio' ) ),
			array( 'pe-7s-arc' => esc_html__( 'arc', 'tm-9studio' ) ),
			array( 'pe-7s-back-2' => esc_html__( 'back-2', 'tm-9studio' ) ),
			array( 'pe-7s-bandaid' => esc_html__( 'bandaid', 'tm-9studio' ) ),
			array( 'pe-7s-car' => esc_html__( 'car', 'tm-9studio' ) ),
			array( 'pe-7s-diamond' => esc_html__( 'diamond', 'tm-9studio' ) ),
			array( 'pe-7s-door-lock' => esc_html__( 'door-lock', 'tm-9studio' ) ),
			array( 'pe-7s-eyedropper' => esc_html__( 'eyedropper', 'tm-9studio' ) ),
			array( 'pe-7s-female' => esc_html__( 'female', 'tm-9studio' ) ),
			array( 'pe-7s-gym' => esc_html__( 'gym', 'tm-9studio' ) ),
			array( 'pe-7s-hammer' => esc_html__( 'hammer', 'tm-9studio' ) ),
			array( 'pe-7s-headphones' => esc_html__( 'headphones', 'tm-9studio' ) ),
			array( 'pe-7s-helm' => esc_html__( 'helm', 'tm-9studio' ) ),
			array( 'pe-7s-hourglass' => esc_html__( 'hourglass', 'tm-9studio' ) ),
			array( 'pe-7s-leaf' => esc_html__( 'leaf', 'tm-9studio' ) ),
			array( 'pe-7s-magic-wand' => esc_html__( 'magic wand', 'tm-9studio' ) ),
			array( 'pe-7s-male' => esc_html__( 'male', 'tm-9studio' ) ),
			array( 'pe-7s-map-2' => esc_html__( 'map 2', 'tm-9studio' ) ),
			array( 'pe-7s-next-2' => esc_html__( 'next 2', 'tm-9studio' ) ),
			array( 'pe-7s-paint-bucket' => esc_html__( 'paint bucket', 'tm-9studio' ) ),
			array( 'pe-7s-pendrive' => esc_html__( 'pendrive', 'tm-9studio' ) ),
			array( 'pe-7s-photo' => esc_html__( 'photo', 'tm-9studio' ) ),
			array( 'pe-7s-piggy' => esc_html__( 'piggy', 'tm-9studio' ) ),
			array( 'pe-7s-plugin' => esc_html__( 'plugin', 'tm-9studio' ) ),
			array( 'pe-7s-refresh-2' => esc_html__( 'refresh 2', 'tm-9studio' ) ),
			array( 'pe-7s-rocket' => esc_html__( 'rocket', 'tm-9studio' ) ),
			array( 'pe-7s-settings' => esc_html__( 'settings', 'tm-9studio' ) ),
			array( 'pe-7s-shield' => esc_html__( 'shield', 'tm-9studio' ) ),
			array( 'pe-7s-smile' => esc_html__( 'smile', 'tm-9studio' ) ),
			array( 'pe-7s-usb' => esc_html__( 'usb', 'tm-9studio' ) ),
			array( 'pe-7s-vector' => esc_html__( 'vector', 'tm-9studio' ) ),
			array( 'pe-7s-wine' => esc_html__( 'wine', 'tm-9studio' ) ),
			array( 'pe-7s-cloud-upload' => esc_html__( 'cloud upload', 'tm-9studio' ) ),
			array( 'pe-7s-cash' => esc_html__( 'cash', 'tm-9studio' ) ),
			array( 'pe-7s-close' => esc_html__( 'close', 'tm-9studio' ) ),
			array( 'pe-7s-bluetooth' => esc_html__( 'bluetooth', 'tm-9studio' ) ),
			array( 'pe-7s-cloud-download' => esc_html__( 'cloud download', 'tm-9studio' ) ),
			array( 'pe-7s-way' => esc_html__( 'way', 'tm-9studio' ) ),
			array( 'pe-7s-close-circle' => esc_html__( 'close circle', 'tm-9studio' ) ),
			array( 'pe-7s-id' => esc_html__( 'id', 'tm-9studio' ) ),
			array( 'pe-7s-angle-up' => esc_html__( 'angle up', 'tm-9studio' ) ),
			array( 'pe-7s-wristwatch' => esc_html__( 'wristwatch', 'tm-9studio' ) ),
			array( 'pe-7s-angle-up-circle' => esc_html__( 'angle-up-circle', 'tm-9studio' ) ),
			array( 'pe-7s-world' => esc_html__( 'world', 'tm-9studio' ) ),
			array( 'pe-7s-angle-right' => esc_html__( 'Angle Right', 'tm-9studio' ) ),
			array( 'pe-7s-volume' => esc_html__( 'volume', 'tm-9studio' ) ),
			array( 'pe-7s-angle-right-circle' => esc_html__( 'angle right circle right', 'tm-9studio' ) ),
			array( 'pe-7s-users' => esc_html__( 'Users', 'tm-9studio' ) ),
			array( 'pe-7s-angle-left' => esc_html__( 'angle left', 'tm-9studio' ) ),
			array( 'pe-7s-user-female' => esc_html__( 'user female', 'tm-9studio' ) ),
			array( 'pe-7s-angle-left-circle' => esc_html__( 'angle left circle', 'tm-9studio' ) ),
			array( 'pe-7s-up-arrow' => esc_html__( 'Sound', 'tm-9studio' ) ),
			array( 'pe-7s-angle-down' => esc_html__( 'up arrow', 'tm-9studio' ) ),
			array( 'pe-7s-switch' => esc_html__( 'switch', 'tm-9studio' ) ),
			array( 'pe-7s-angle-down-circle' => esc_html__( 'down circle', 'tm-9studio' ) ),
			array( 'pe-7s-scissors' => esc_html__( 'scissors', 'tm-9studio' ) ),
			array( 'pe-7s-wallet' => esc_html__( 'wallet', 'tm-9studio' ) ),
			array( 'pe-7s-safe' => esc_html__( 'safe', 'tm-9studio' ) ),
			array( 'pe-7s-volume2' => esc_html__( 'volume2', 'tm-9studio' ) ),
			array( 'pe-7s-volume1' => esc_html__( 'volume1', 'tm-9studio' ) ),
			array( 'pe-7s-voicemail' => esc_html__( 'voice mail', 'tm-9studio' ) ),
			array( 'pe-7s-video' => esc_html__( 'video', 'tm-9studio' ) ),
			array( 'pe-7s-user' => esc_html__( 'user', 'tm-9studio' ) ),
			array( 'pe-7s-upload' => esc_html__( 'upload', 'tm-9studio' ) ),
			array( 'pe-7s-unlock' => esc_html__( 'unlock', 'tm-9studio' ) ),
			array( 'pe-7s-umbrella' => esc_html__( 'umbrella', 'tm-9studio' ) ),
			array( 'pe-7s-trash' => esc_html__( 'trash', 'tm-9studio' ) ),
			array( 'pe-7s-tools' => esc_html__( 'tools', 'tm-9studio' ) ),
			array( 'pe-7s-timer' => esc_html__( 'timer', 'tm-9studio' ) ),
			array( 'pe-7s-ticket' => esc_html__( 'ticket', 'tm-9studio' ) ),
			array( 'pe-7s-target' => esc_html__( 'target', 'tm-9studio' ) ),
			array( 'pe-7s-sun' => esc_html__( 'sun', 'tm-9studio' ) ),
			array( 'pe-7s-study' => esc_html__( 'study', 'tm-9studio' ) ),
			array( 'pe-7s-stopwatch' => esc_html__( 'stopwatch', 'tm-9studio' ) ),
			array( 'pe-7s-star' => esc_html__( 'star', 'tm-9studio' ) ),
			array( 'pe-7s-speaker' => esc_html__( 'speaker', 'tm-9studio' ) ),
			array( 'pe-7s-signal' => esc_html__( 'signal', 'tm-9studio' ) ),
			array( 'pe-7s-shuffle' => esc_html__( 'shuffle', 'tm-9studio' ) ),
			array( 'pe-7s-shopbag' => esc_html__( 'shopbag', 'tm-9studio' ) ),
			array( 'pe-7s-share' => esc_html__( 'share', 'tm-9studio' ) ),
			array( 'pe-7s-server' => esc_html__( 'server', 'tm-9studio' ) ),
			array( 'pe-7s-search' => esc_html__( 'search', 'tm-9studio' ) ),
			array( 'pe-7s-film' => esc_html__( 'film', 'tm-9studio' ) ),
			array( 'pe-7s-science' => esc_html__( 'science', 'tm-9studio' ) ),
			array( 'pe-7s-disk' => esc_html__( 'disk', 'tm-9studio' ) ),
			array( 'pe-7s-ribbon' => esc_html__( 'ribbon', 'tm-9studio' ) ),
			array( 'pe-7s-repeat' => esc_html__( 'repeat', 'tm-9studio' ) ),
			array( 'pe-7s-refresh' => esc_html__( 'refresh', 'tm-9studio' ) ),
			array( 'pe-7s-add-user' => esc_html__( 'add user', 'tm-9studio' ) ),
			array( 'pe-7s-refresh-cloud' => esc_html__( 'refresh cloud', 'tm-9studio' ) ),
			array( 'pe-7s-paperclip' => esc_html__( 'paperclip', 'tm-9studio' ) ),
			array( 'pe-7s-radio' => esc_html__( 'radio', 'tm-9studio' ) ),
			array( 'pe-7s-note2' => esc_html__( 'note2', 'tm-9studio' ) ),
			array( 'pe-7s-print' => esc_html__( 'print', 'tm-9studio' ) ),
			array( 'pe-7s-network' => esc_html__( 'network', 'tm-9studio' ) ),
			array( 'pe-7s-prev' => esc_html__( 'prev', 'tm-9studio' ) ),
			array( 'pe-7s-mute' => esc_html__( 'mute', 'tm-9studio' ) ),
			array( 'pe-7s-power' => esc_html__( 'power', 'tm-9studio' ) ),
			array( 'pe-7s-medal' => esc_html__( 'medal', 'tm-9studio' ) ),
			array( 'pe-7s-portfolio' => esc_html__( 'portfolio', 'tm-9studio' ) ),
			array( 'pe-7s-like2' => esc_html__( 'like2', 'tm-9studio' ) ),
			array( 'pe-7s-plus' => esc_html__( 'plus', 'tm-9studio' ) ),
			array( 'pe-7s-left-arrow' => esc_html__( 'left arrow', 'tm-9studio' ) ),
			array( 'pe-7s-play' => esc_html__( 'play', 'tm-9studio' ) ),
			array( 'pe-7s-key' => esc_html__( 'key', 'tm-9studio' ) ),
			array( 'pe-7s-plane' => esc_html__( 'plane', 'tm-9studio' ) ),
			array( 'pe-7s-joy' => esc_html__( 'joy', 'tm-9studio' ) ),
			array( 'pe-7s-photo-gallery' => esc_html__( 'photo gallery', 'tm-9studio' ) ),
			array( 'pe-7s-pin' => esc_html__( 'pin', 'tm-9studio' ) ),
			array( 'pe-7s-phone' => esc_html__( 'phone', 'tm-9studio' ) ),
			array( 'pe-7s-plug' => esc_html__( 'plug', 'tm-9studio' ) ),
			array( 'pe-7s-pen' => esc_html__( 'pen', 'tm-9studio' ) ),
			array( 'pe-7s-right-arrow' => esc_html__( 'right arrow', 'tm-9studio' ) ),
			array( 'pe-7s-paper-plane' => esc_html__( 'paper plane', 'tm-9studio' ) ),
			array( 'pe-7s-delete-user' => esc_html__( 'delete user', 'tm-9studio' ) ),
			array( 'pe-7s-paint' => esc_html__( 'paint', 'tm-9studio' ) ),
			array( 'pe-7s-bottom-arrow' => esc_html__( 'bottom arrow', 'tm-9studio' ) ),
			array( 'pe-7s-notebook' => esc_html__( 'notebook', 'tm-9studio' ) ),
			array( 'pe-7s-note' => esc_html__( 'note', 'tm-9studio' ) ),
			array( 'pe-7s-next' => esc_html__( 'next', 'tm-9studio' ) ),
			array( 'pe-7s-news-paper' => esc_html__( 'news paper', 'tm-9studio' ) ),
			array( 'pe-7s-musiclist' => esc_html__( 'musiclist', 'tm-9studio' ) ),
			array( 'pe-7s-music' => esc_html__( 'music', 'tm-9studio' ) ),
			array( 'pe-7s-mouse' => esc_html__( 'mouse', 'tm-9studio' ) ),
			array( 'pe-7s-more' => esc_html__( 'more', 'tm-9studio' ) ),
			array( 'pe-7s-moon' => esc_html__( 'moon', 'tm-9studio' ) ),
			array( 'pe-7s-monitor' => esc_html__( 'monitor', 'tm-9studio' ) ),
			array( 'pe-7s-micro' => esc_html__( 'micro', 'tm-9studio' ) ),
			array( 'pe-7s-menu' => esc_html__( 'menu', 'tm-9studio' ) ),
			array( 'pe-7s-map' => esc_html__( 'map', 'tm-9studio' ) ),
			array( 'pe-7s-map-marker' => esc_html__( 'map marker', 'tm-9studio' ) ),
			array( 'pe-7s-mail' => esc_html__( 'mail', 'tm-9studio' ) ),
			array( 'pe-7s-mail-open' => esc_html__( 'mail open', 'tm-9studio' ) ),
			array( 'pe-7s-mail-open-file' => esc_html__( 'mail open file', 'tm-9studio' ) ),
			array( 'pe-7s-magnet' => esc_html__( 'magnet', 'tm-9studio' ) ),
			array( 'pe-7s-loop' => esc_html__( 'loop', 'tm-9studio' ) ),
			array( 'pe-7s-look' => esc_html__( 'look', 'tm-9studio' ) ),
			array( 'pe-7s-lock' => esc_html__( 'lock', 'tm-9studio' ) ),
			array( 'pe-7s-lintern' => esc_html__( 'lintern', 'tm-9studio' ) ),
			array( 'pe-7s-link' => esc_html__( 'link', 'tm-9studio' ) ),
			array( 'pe-7s-like' => esc_html__( 'like', 'tm-9studio' ) ),
			array( 'pe-7s-light' => esc_html__( 'light', 'tm-9studio' ) ),
			array( 'pe-7s-less' => esc_html__( 'less', 'tm-9studio' ) ),
			array( 'pe-7s-keypad' => esc_html__( 'keypad', 'tm-9studio' ) ),
			array( 'pe-7s-junk' => esc_html__( 'junk', 'tm-9studio' ) ),
			array( 'pe-7s-info' => esc_html__( 'info', 'tm-9studio' ) ),
			array( 'pe-7s-home' => esc_html__( 'home', 'tm-9studio' ) ),
			array( 'pe-7s-help2' => esc_html__( 'help2', 'tm-9studio' ) ),
			array( 'pe-7s-help1' => esc_html__( 'help1', 'tm-9studio' ) ),
			array( 'pe-7s-graph3' => esc_html__( 'graph3', 'tm-9studio' ) ),
			array( 'pe-7s-graph2' => esc_html__( 'graph2', 'tm-9studio' ) ),
			array( 'pe-7s-graph1' => esc_html__( 'graph1', 'tm-9studio' ) ),
			array( 'pe-7s-graph' => esc_html__( 'graph3', 'tm-9studio' ) ),
			array( 'pe-7s-global' => esc_html__( 'global', 'tm-9studio' ) ),
			array( 'pe-7s-gleam' => esc_html__( 'gleam', 'tm-9studio' ) ),
			array( 'pe-7s-glasses' => esc_html__( 'glasses', 'tm-9studio' ) ),
			array( 'pe-7s-gift' => esc_html__( 'gift', 'tm-9studio' ) ),
			array( 'pe-7s-folder' => esc_html__( 'folder', 'tm-9studio' ) ),
			array( 'pe-7s-flag' => esc_html__( 'flag', 'tm-9studio' ) ),
			array( 'pe-7s-filter' => esc_html__( 'filter', 'tm-9studio' ) ),
			array( 'pe-7s-file' => esc_html__( 'file', 'tm-9studio' ) ),
			array( 'pe-7s-expand1' => esc_html__( 'expand1', 'tm-9studio' ) ),
			array( 'pe-7s-exapnd2' => esc_html__( 'expand2', 'tm-9studio' ) ),
			array( 'pe-7s-edit' => esc_html__( 'edit', 'tm-9studio' ) ),
			array( 'pe-7s-drop' => esc_html__( 'drop', 'tm-9studio' ) ),
			array( 'pe-7s-drawer' => esc_html__( 'drawer', 'tm-9studio' ) ),
			array( 'pe-7s-download' => esc_html__( 'download', 'tm-9studio' ) ),
			array( 'pe-7s-display2' => esc_html__( 'display2', 'tm-9studio' ) ),
			array( 'pe-7s-display1' => esc_html__( 'display1', 'tm-9studio' ) ),
			array( 'pe-7s-diskette' => esc_html__( 'diskette', 'tm-9studio' ) ),
			array( 'pe-7s-date' => esc_html__( 'date', 'tm-9studio' ) ),
			array( 'pe-7s-cup' => esc_html__( 'cup', 'tm-9studio' ) ),
			array( 'pe-7s-culture' => esc_html__( 'culture', 'tm-9studio' ) ),
			array( 'pe-7s-crop' => esc_html__( 'crop', 'tm-9studio' ) ),
			array( 'pe-7s-credit' => esc_html__( 'credit', 'tm-9studio' ) ),
			array( 'pe-7s-copy-file' => esc_html__( 'copy file', 'tm-9studio' ) ),
			array( 'pe-7s-config' => esc_html__( 'config', 'tm-9studio' ) ),
			array( 'pe-7s-compass' => esc_html__( 'compass', 'tm-9studio' ) ),
			array( 'pe-7s-comment' => esc_html__( 'comment', 'tm-9studio' ) ),
			array( 'pe-7s-coffee' => esc_html__( 'coffee', 'tm-9studio' ) ),
			array( 'pe-7s-cloud' => esc_html__( 'cloud', 'tm-9studio' ) ),
			array( 'pe-7s-clock' => esc_html__( 'clock', 'tm-9studio' ) ),
			array( 'pe-7s-check' => esc_html__( 'check', 'tm-9studio' ) ),
			array( 'pe-7s-chat' => esc_html__( 'chat', 'tm-9studio' ) ),
			array( 'pe-7s-cart' => esc_html__( 'cart', 'tm-9studio' ) ),
			array( 'pe-7s-camera' => esc_html__( 'Camera', 'tm-9studio' ) ),
			array( 'pe-7s-call' => esc_html__( 'call', 'tm-9studio' ) ),
			array( 'pe-7s-calculator' => esc_html__( 'calculator', 'tm-9studio' ) ),
			array( 'pe-7s-browser' => esc_html__( 'browser', 'tm-9studio' ) ),
			array( 'pe-7s-box2' => esc_html__( 'box2', 'tm-9studio' ) ),
			array( 'pe-7s-box1' => esc_html__( 'box1', 'tm-9studio' ) ),
			array( 'pe-7s-bookmarks' => esc_html__( 'bookmarks', 'tm-9studio' ) ),
			array( 'pe-7s-bicycle' => esc_html__( 'bicycle', 'tm-9studio' ) ),
			array( 'pe-7s-bell' => esc_html__( 'bell', 'tm-9studio' ) ),
			array( 'pe-7s-battery' => esc_html__( 'battery', 'tm-9studio' ) ),
			array( 'pe-7s-ball' => esc_html__( 'ball', 'tm-9studio' ) ),
			array( 'pe-7s-back' => esc_html__( 'back', 'tm-9studio' ) ),
			array( 'pe-7s-attention' => esc_html__( 'attention', 'tm-9studio' ) ),
			array( 'pe-7s-anchor' => esc_html__( 'anchor', 'tm-9studio' ) ),
			array( 'pe-7s-albums' => esc_html__( 'albums', 'tm-9studio' ) ),
			array( 'pe-7s-alarm' => esc_html__( 'alarm', 'tm-9studio' ) ),
			array( 'pe-7s-airplay' => esc_html__( 'airplay', 'tm-9studio' ) ),
		);

		return array_merge( $icons, $pe7stroke_icons );
	}

	public function add_ionicons( $icons ) {
		$ionicons = array(
			array( 'ion-ionic' => esc_html__( 'ionic', 'tm-9studio' ) ),
			array( 'ion-arrow-up-a' => esc_html__( 'arrow up a', 'tm-9studio' ) ),
			array( 'ion-arrow-right-a' => esc_html__( 'arrow right a', 'tm-9studio' ) ),
			array( 'ion-arrow-down-a' => esc_html__( 'arrow down a', 'tm-9studio' ) ),
			array( 'ion-arrow-left-a' => esc_html__( 'arrow left a', 'tm-9studio' ) ),
			array( 'ion-arrow-up-b' => esc_html__( 'arrow up b', 'tm-9studio' ) ),
			array( 'ion-arrow-right-b' => esc_html__( 'arrow right b', 'tm-9studio' ) ),
			array( 'ion-arrow-down-b' => esc_html__( 'arrow down b', 'tm-9studio' ) ),
			array( 'ion-arrow-left-b' => esc_html__( 'arrow left b', 'tm-9studio' ) ),
			array( 'ion-arrow-up-c' => esc_html__( 'arrow up c', 'tm-9studio' ) ),
			array( 'ion-arrow-right-c' => esc_html__( 'arrow right c', 'tm-9studio' ) ),
			array( 'ion-arrow-down-c' => esc_html__( 'arrow down c', 'tm-9studio' ) ),
			array( 'ion-arrow-left-c' => esc_html__( 'arrow left c', 'tm-9studio' ) ),
			array( 'ion-arrow-return-right' => esc_html__( 'arrow return right', 'tm-9studio' ) ),
			array( 'ion-arrow-return-left' => esc_html__( 'arrow return left', 'tm-9studio' ) ),
			array( 'ion-arrow-swap' => esc_html__( 'arrow swap', 'tm-9studio' ) ),
			array( 'ion-arrow-shrink' => esc_html__( 'arrow shrink', 'tm-9studio' ) ),
			array( 'ion-arrow-expand' => esc_html__( 'arrow expand', 'tm-9studio' ) ),
			array( 'ion-arrow-move' => esc_html__( 'arrow move', 'tm-9studio' ) ),
			array( 'ion-arrow-resize' => esc_html__( 'arrow resize', 'tm-9studio' ) ),
			array( 'ion-chevron-up' => esc_html__( 'chevron up', 'tm-9studio' ) ),
			array( 'ion-chevron-right' => esc_html__( 'chevron right', 'tm-9studio' ) ),
			array( 'ion-chevron-down' => esc_html__( 'chevron down', 'tm-9studio' ) ),
			array( 'ion-chevron-left' => esc_html__( 'chevron left', 'tm-9studio' ) ),
			array( 'ion-navicon-round' => esc_html__( 'navicon round', 'tm-9studio' ) ),
			array( 'ion-navicon' => esc_html__( 'navicon', 'tm-9studio' ) ),
			array( 'ion-drag' => esc_html__( 'drag', 'tm-9studio' ) ),
			array( 'ion-log-in' => esc_html__( 'log in', 'tm-9studio' ) ),
			array( 'ion-log-out' => esc_html__( 'log out', 'tm-9studio' ) ),
			array( 'ion-checkmark-round' => esc_html__( 'checkmark round', 'tm-9studio' ) ),
			array( 'ion-checkmark' => esc_html__( 'checkmark', 'tm-9studio' ) ),
			array( 'ion-checkmark-circled' => esc_html__( 'checkmark circled', 'tm-9studio' ) ),
			array( 'ion-close-round' => esc_html__( 'close round', 'tm-9studio' ) ),
			array( 'ion-close' => esc_html__( 'close', 'tm-9studio' ) ),
			array( 'ion-close-circled' => esc_html__( 'close circled', 'tm-9studio' ) ),
			array( 'ion-plus-round' => esc_html__( 'plus round', 'tm-9studio' ) ),
			array( 'ion-plus' => esc_html__( 'plus', 'tm-9studio' ) ),
			array( 'ion-plus-circled' => esc_html__( 'plus circled', 'tm-9studio' ) ),
			array( 'ion-minus-round' => esc_html__( 'minus round', 'tm-9studio' ) ),
			array( 'ion-minus' => esc_html__( 'minus', 'tm-9studio' ) ),
			array( 'ion-minus-circled' => esc_html__( 'minus circled', 'tm-9studio' ) ),
			array( 'ion-information' => esc_html__( 'information', 'tm-9studio' ) ),
			array( 'ion-information-circled' => esc_html__( 'information circled', 'tm-9studio' ) ),
			array( 'ion-help' => esc_html__( 'help', 'tm-9studio' ) ),
			array( 'ion-help-circled' => esc_html__( 'help circled', 'tm-9studio' ) ),
			array( 'ion-backspace-outline' => esc_html__( 'backspace outline', 'tm-9studio' ) ),
			array( 'ion-backspace' => esc_html__( 'backspace', 'tm-9studio' ) ),
			array( 'ion-help-buoy' => esc_html__( 'help buoy', 'tm-9studio' ) ),
			array( 'ion-asterisk' => esc_html__( 'asterisk', 'tm-9studio' ) ),
			array( 'ion-alert' => esc_html__( 'alert', 'tm-9studio' ) ),
			array( 'ion-alert-circled' => esc_html__( 'alert circled', 'tm-9studio' ) ),
			array( 'ion-refresh' => esc_html__( 'refresh', 'tm-9studio' ) ),
			array( 'ion-loop' => esc_html__( 'loop', 'tm-9studio' ) ),
			array( 'ion-shuffle' => esc_html__( 'shuffle', 'tm-9studio' ) ),
			array( 'ion-home' => esc_html__( 'home', 'tm-9studio' ) ),
			array( 'ion-search' => esc_html__( 'search', 'tm-9studio' ) ),
			array( 'ion-flag' => esc_html__( 'flag', 'tm-9studio' ) ),
			array( 'ion-star' => esc_html__( 'star', 'tm-9studio' ) ),
			array( 'ion-heart' => esc_html__( 'heart', 'tm-9studio' ) ),
			array( 'ion-heart-broken' => esc_html__( 'heart broken', 'tm-9studio' ) ),
			array( 'ion-gear-a' => esc_html__( 'gear a', 'tm-9studio' ) ),
			array( 'ion-gear-b' => esc_html__( 'gear b', 'tm-9studio' ) ),
			array( 'ion-toggle-filled' => esc_html__( 'toggle filled', 'tm-9studio' ) ),
			array( 'ion-toggle' => esc_html__( 'toggle', 'tm-9studio' ) ),
			array( 'ion-settings' => esc_html__( 'settings', 'tm-9studio' ) ),
			array( 'ion-wrench' => esc_html__( 'wrench', 'tm-9studio' ) ),
			array( 'ion-hammer' => esc_html__( 'hammer', 'tm-9studio' ) ),
			array( 'ion-edit' => esc_html__( 'edit', 'tm-9studio' ) ),
			array( 'ion-trash-a' => esc_html__( 'trash a', 'tm-9studio' ) ),
			array( 'ion-trash-b' => esc_html__( 'trash b', 'tm-9studio' ) ),
			array( 'ion-document' => esc_html__( 'document', 'tm-9studio' ) ),
			array( 'ion-document-text' => esc_html__( 'document text', 'tm-9studio' ) ),
			array( 'ion-clipboard' => esc_html__( 'clipboard', 'tm-9studio' ) ),
			array( 'ion-scissors' => esc_html__( 'scissors', 'tm-9studio' ) ),
			array( 'ion-funnel' => esc_html__( 'funnel', 'tm-9studio' ) ),
			array( 'ion-bookmark' => esc_html__( 'bookmark', 'tm-9studio' ) ),
			array( 'ion-email' => esc_html__( 'email', 'tm-9studio' ) ),
			array( 'ion-email-unread' => esc_html__( 'email unread', 'tm-9studio' ) ),
			array( 'ion-folder' => esc_html__( 'folder', 'tm-9studio' ) ),
			array( 'ion-filing' => esc_html__( 'filing', 'tm-9studio' ) ),
			array( 'ion-archive' => esc_html__( 'archive', 'tm-9studio' ) ),
			array( 'ion-reply' => esc_html__( 'reply', 'tm-9studio' ) ),
			array( 'ion-reply-all' => esc_html__( 'reply all', 'tm-9studio' ) ),
			array( 'ion-forward' => esc_html__( 'forward', 'tm-9studio' ) ),
			array( 'ion-share' => esc_html__( 'share', 'tm-9studio' ) ),
			array( 'ion-paper-airplane' => esc_html__( 'paper airplane', 'tm-9studio' ) ),
			array( 'ion-link' => esc_html__( 'link', 'tm-9studio' ) ),
			array( 'ion-paperclip' => esc_html__( 'paperclip', 'tm-9studio' ) ),
			array( 'ion-compose' => esc_html__( 'compose', 'tm-9studio' ) ),
			array( 'ion-briefcase' => esc_html__( 'briefcase', 'tm-9studio' ) ),
			array( 'ion-medkit' => esc_html__( 'medkit', 'tm-9studio' ) ),
			array( 'ion-at' => esc_html__( 'at', 'tm-9studio' ) ),
			array( 'ion-pound' => esc_html__( 'pound', 'tm-9studio' ) ),
			array( 'ion-quote' => esc_html__( 'quote', 'tm-9studio' ) ),
			array( 'ion-cloud' => esc_html__( 'cloud', 'tm-9studio' ) ),
			array( 'ion-upload' => esc_html__( 'upload', 'tm-9studio' ) ),
			array( 'ion-more' => esc_html__( 'more', 'tm-9studio' ) ),
			array( 'ion-grid' => esc_html__( 'grid', 'tm-9studio' ) ),
			array( 'ion-calendar' => esc_html__( 'calendar', 'tm-9studio' ) ),
			array( 'ion-clock' => esc_html__( 'clock', 'tm-9studio' ) ),
			array( 'ion-compass' => esc_html__( 'compass', 'tm-9studio' ) ),
			array( 'ion-pinpoint' => esc_html__( 'pinpoint', 'tm-9studio' ) ),
			array( 'ion-pin' => esc_html__( 'pin', 'tm-9studio' ) ),
			array( 'ion-navigate' => esc_html__( 'navigate', 'tm-9studio' ) ),
			array( 'ion-location' => esc_html__( 'location', 'tm-9studio' ) ),
			array( 'ion-map' => esc_html__( 'map', 'tm-9studio' ) ),
			array( 'ion-lock-combination' => esc_html__( 'lock combination', 'tm-9studio' ) ),
			array( 'ion-locked' => esc_html__( 'locked', 'tm-9studio' ) ),
			array( 'ion-unlocked' => esc_html__( 'unlocked', 'tm-9studio' ) ),
			array( 'ion-key' => esc_html__( 'key', 'tm-9studio' ) ),
			array( 'ion-arrow-graph-up-right' => esc_html__( 'arrow graph up right', 'tm-9studio' ) ),
			array( 'ion-arrow-graph-down-right' => esc_html__( 'arrow graph down right', 'tm-9studio' ) ),
			array( 'ion-arrow-graph-up-left' => esc_html__( 'arrow graph up left', 'tm-9studio' ) ),
			array( 'ion-arrow-graph-down-left' => esc_html__( 'arrow graph down left', 'tm-9studio' ) ),
			array( 'ion-stats-bars' => esc_html__( 'stats bars', 'tm-9studio' ) ),
			array( 'ion-connection-bars' => esc_html__( 'connection bars', 'tm-9studio' ) ),
			array( 'ion-pie-graph' => esc_html__( 'pie graph', 'tm-9studio' ) ),
			array( 'ion-chatbubble' => esc_html__( 'chatbubble', 'tm-9studio' ) ),
			array( 'ion-chatbubble-working' => esc_html__( 'chatbubble working', 'tm-9studio' ) ),
			array( 'ion-chatbubbles' => esc_html__( 'chatbubbles', 'tm-9studio' ) ),
			array( 'ion-chatbox' => esc_html__( 'chatbox', 'tm-9studio' ) ),
			array( 'ion-chatbox-working' => esc_html__( 'chatbox working', 'tm-9studio' ) ),
			array( 'ion-chatboxes' => esc_html__( 'chatboxes', 'tm-9studio' ) ),
			array( 'ion-person' => esc_html__( 'person', 'tm-9studio' ) ),
			array( 'ion-person-add' => esc_html__( 'person add', 'tm-9studio' ) ),
			array( 'ion-person-stalker' => esc_html__( 'person stalker', 'tm-9studio' ) ),
			array( 'ion-woman' => esc_html__( 'woman', 'tm-9studio' ) ),
			array( 'ion-man' => esc_html__( 'man', 'tm-9studio' ) ),
			array( 'ion-female' => esc_html__( 'female', 'tm-9studio' ) ),
			array( 'ion-male' => esc_html__( 'male', 'tm-9studio' ) ),
			array( 'ion-transgender' => esc_html__( 'transgender', 'tm-9studio' ) ),
			array( 'ion-fork' => esc_html__( 'fork', 'tm-9studio' ) ),
			array( 'ion-knife' => esc_html__( 'knife', 'tm-9studio' ) ),
			array( 'ion-spoon' => esc_html__( 'spoon', 'tm-9studio' ) ),
			array( 'ion-soup-can-outline' => esc_html__( 'soup can outline', 'tm-9studio' ) ),
			array( 'ion-soup-can' => esc_html__( 'soup can', 'tm-9studio' ) ),
			array( 'ion-beer' => esc_html__( 'beer', 'tm-9studio' ) ),
			array( 'ion-wineglass' => esc_html__( 'wineglass', 'tm-9studio' ) ),
			array( 'ion-coffee' => esc_html__( 'coffee', 'tm-9studio' ) ),
			array( 'ion-icecream' => esc_html__( 'icecream', 'tm-9studio' ) ),
			array( 'ion-pizza' => esc_html__( 'pizza', 'tm-9studio' ) ),
			array( 'ion-power' => esc_html__( 'power', 'tm-9studio' ) ),
			array( 'ion-mouse' => esc_html__( 'mouse', 'tm-9studio' ) ),
			array( 'ion-battery-full' => esc_html__( 'battery full', 'tm-9studio' ) ),
			array( 'ion-battery-half' => esc_html__( 'battery half', 'tm-9studio' ) ),
			array( 'ion-battery-low' => esc_html__( 'battery low', 'tm-9studio' ) ),
			array( 'ion-battery-empty' => esc_html__( 'battery empty', 'tm-9studio' ) ),
			array( 'ion-battery-charging' => esc_html__( 'battery charging', 'tm-9studio' ) ),
			array( 'ion-wifi' => esc_html__( 'wifi', 'tm-9studio' ) ),
			array( 'ion-bluetooth' => esc_html__( 'bluetooth', 'tm-9studio' ) ),
			array( 'ion-calculator' => esc_html__( 'calculator', 'tm-9studio' ) ),
			array( 'ion-camera' => esc_html__( 'camera', 'tm-9studio' ) ),
			array( 'ion-eye' => esc_html__( 'eye', 'tm-9studio' ) ),
			array( 'ion-eye-disabled' => esc_html__( 'eye disabled', 'tm-9studio' ) ),
			array( 'ion-flash' => esc_html__( 'flash', 'tm-9studio' ) ),
			array( 'ion-flash-off' => esc_html__( 'flash off', 'tm-9studio' ) ),
			array( 'ion-qr-scanner' => esc_html__( 'qr scanner', 'tm-9studio' ) ),
			array( 'ion-image' => esc_html__( 'image', 'tm-9studio' ) ),
			array( 'ion-images' => esc_html__( 'images', 'tm-9studio' ) ),
			array( 'ion-wand' => esc_html__( 'wand', 'tm-9studio' ) ),
			array( 'ion-contrast' => esc_html__( 'contrast', 'tm-9studio' ) ),
			array( 'ion-aperture' => esc_html__( 'aperture', 'tm-9studio' ) ),
			array( 'ion-crop' => esc_html__( 'crop', 'tm-9studio' ) ),
			array( 'ion-easel' => esc_html__( 'easel', 'tm-9studio' ) ),
			array( 'ion-paintbrush' => esc_html__( 'paintbrush', 'tm-9studio' ) ),
			array( 'ion-paintbucket' => esc_html__( 'paintbucket', 'tm-9studio' ) ),
			array( 'ion-monitor' => esc_html__( 'monitor', 'tm-9studio' ) ),
			array( 'ion-laptop' => esc_html__( 'laptop', 'tm-9studio' ) ),
			array( 'ion-ipad' => esc_html__( 'ipad', 'tm-9studio' ) ),
			array( 'ion-iphone' => esc_html__( 'iphone', 'tm-9studio' ) ),
			array( 'ion-ipod' => esc_html__( 'ipod', 'tm-9studio' ) ),
			array( 'ion-printer' => esc_html__( 'printer', 'tm-9studio' ) ),
			array( 'ion-usb' => esc_html__( 'usb', 'tm-9studio' ) ),
			array( 'ion-outlet' => esc_html__( 'outlet', 'tm-9studio' ) ),
			array( 'ion-bug' => esc_html__( 'bug', 'tm-9studio' ) ),
			array( 'ion-code' => esc_html__( 'code', 'tm-9studio' ) ),
			array( 'ion-code-working' => esc_html__( 'code working', 'tm-9studio' ) ),
			array( 'ion-code-download' => esc_html__( 'code download', 'tm-9studio' ) ),
			array( 'ion-fork-repo' => esc_html__( 'fork repo', 'tm-9studio' ) ),
			array( 'ion-network' => esc_html__( 'network', 'tm-9studio' ) ),
			array( 'ion-pull-request' => esc_html__( 'pull request', 'tm-9studio' ) ),
			array( 'ion-merge' => esc_html__( 'merge', 'tm-9studio' ) ),
			array( 'ion-xbox' => esc_html__( 'xbox', 'tm-9studio' ) ),
			array( 'ion-playstation' => esc_html__( 'playstation', 'tm-9studio' ) ),
			array( 'ion-steam' => esc_html__( 'steam', 'tm-9studio' ) ),
			array( 'ion-closed-captioning' => esc_html__( 'closed captioning', 'tm-9studio' ) ),
			array( 'ion-videocamera' => esc_html__( 'videocamera', 'tm-9studio' ) ),
			array( 'ion-film-marker' => esc_html__( 'film marker', 'tm-9studio' ) ),
			array( 'ion-disc' => esc_html__( 'disc', 'tm-9studio' ) ),
			array( 'ion-headphone' => esc_html__( 'headphone', 'tm-9studio' ) ),
			array( 'ion-music-note' => esc_html__( 'music note', 'tm-9studio' ) ),
			array( 'ion-radio-waves' => esc_html__( 'radio waves', 'tm-9studio' ) ),
			array( 'ion-speakerphone' => esc_html__( 'speakerphone', 'tm-9studio' ) ),
			array( 'ion-mic-a' => esc_html__( 'mic a', 'tm-9studio' ) ),
			array( 'ion-mic-b' => esc_html__( 'mic b', 'tm-9studio' ) ),
			array( 'ion-mic-c' => esc_html__( 'mic c', 'tm-9studio' ) ),
			array( 'ion-volume-high' => esc_html__( 'volume high', 'tm-9studio' ) ),
			array( 'ion-volume-medium' => esc_html__( 'volume medium', 'tm-9studio' ) ),
			array( 'ion-volume-low' => esc_html__( 'volume low', 'tm-9studio' ) ),
			array( 'ion-volume-mute' => esc_html__( 'volume mute', 'tm-9studio' ) ),
			array( 'ion-levels' => esc_html__( 'levels', 'tm-9studio' ) ),
			array( 'ion-play' => esc_html__( 'play', 'tm-9studio' ) ),
			array( 'ion-pause' => esc_html__( 'pause', 'tm-9studio' ) ),
			array( 'ion-stop' => esc_html__( 'stop', 'tm-9studio' ) ),
			array( 'ion-record' => esc_html__( 'record', 'tm-9studio' ) ),
			array( 'ion-skip-forward' => esc_html__( 'skip forward', 'tm-9studio' ) ),
			array( 'ion-skip-backward' => esc_html__( 'skip backward', 'tm-9studio' ) ),
			array( 'ion-eject' => esc_html__( 'eject', 'tm-9studio' ) ),
			array( 'ion-bag' => esc_html__( 'bag', 'tm-9studio' ) ),
			array( 'ion-card' => esc_html__( 'card', 'tm-9studio' ) ),
			array( 'ion-cash' => esc_html__( 'cash', 'tm-9studio' ) ),
			array( 'ion-pricetag' => esc_html__( 'pricetag', 'tm-9studio' ) ),
			array( 'ion-pricetags' => esc_html__( 'pricetags', 'tm-9studio' ) ),
			array( 'ion-thumbsup' => esc_html__( 'thumbsup', 'tm-9studio' ) ),
			array( 'ion-thumbsdown' => esc_html__( 'thumbsdown', 'tm-9studio' ) ),
			array( 'ion-happy-outline' => esc_html__( 'happy outline', 'tm-9studio' ) ),
			array( 'ion-happy' => esc_html__( 'happy', 'tm-9studio' ) ),
			array( 'ion-sad-outline' => esc_html__( 'sad outline', 'tm-9studio' ) ),
			array( 'ion-sad' => esc_html__( 'sad', 'tm-9studio' ) ),
			array( 'ion-bowtie' => esc_html__( 'bowtie', 'tm-9studio' ) ),
			array( 'ion-tshirt-outline' => esc_html__( 'tshirt outline', 'tm-9studio' ) ),
			array( 'ion-tshirt' => esc_html__( 'tshirt', 'tm-9studio' ) ),
			array( 'ion-trophy' => esc_html__( 'trophy', 'tm-9studio' ) ),
			array( 'ion-podium' => esc_html__( 'podium', 'tm-9studio' ) ),
			array( 'ion-ribbon-a' => esc_html__( 'ribbon a', 'tm-9studio' ) ),
			array( 'ion-ribbon-b' => esc_html__( 'ribbon b', 'tm-9studio' ) ),
			array( 'ion-university' => esc_html__( 'university', 'tm-9studio' ) ),
			array( 'ion-magnet' => esc_html__( 'magnet', 'tm-9studio' ) ),
			array( 'ion-beaker' => esc_html__( 'beaker', 'tm-9studio' ) ),
			array( 'ion-erlenmeyer-flask' => esc_html__( 'erlenmeyer flask', 'tm-9studio' ) ),
			array( 'ion-egg' => esc_html__( 'egg', 'tm-9studio' ) ),
			array( 'ion-earth' => esc_html__( 'earth', 'tm-9studio' ) ),
			array( 'ion-planet' => esc_html__( 'planet', 'tm-9studio' ) ),
			array( 'ion-lightbulb' => esc_html__( 'lightbulb', 'tm-9studio' ) ),
			array( 'ion-cube' => esc_html__( 'cube', 'tm-9studio' ) ),
			array( 'ion-leaf' => esc_html__( 'leaf', 'tm-9studio' ) ),
			array( 'ion-waterdrop' => esc_html__( 'waterdrop', 'tm-9studio' ) ),
			array( 'ion-flame' => esc_html__( 'flame', 'tm-9studio' ) ),
			array( 'ion-fireball' => esc_html__( 'fireball', 'tm-9studio' ) ),
			array( 'ion-bonfire' => esc_html__( 'bonfire', 'tm-9studio' ) ),
			array( 'ion-umbrella' => esc_html__( 'umbrella', 'tm-9studio' ) ),
			array( 'ion-nuclear' => esc_html__( 'nuclear', 'tm-9studio' ) ),
			array( 'ion-no-smoking' => esc_html__( 'no smoking', 'tm-9studio' ) ),
			array( 'ion-thermometer' => esc_html__( 'thermometer', 'tm-9studio' ) ),
			array( 'ion-speedometer' => esc_html__( 'speedometer', 'tm-9studio' ) ),
			array( 'ion-model-s' => esc_html__( 'model s', 'tm-9studio' ) ),
			array( 'ion-plane' => esc_html__( 'plane', 'tm-9studio' ) ),
			array( 'ion-jet' => esc_html__( 'jet', 'tm-9studio' ) ),
			array( 'ion-load-a' => esc_html__( 'load a', 'tm-9studio' ) ),
			array( 'ion-load-b' => esc_html__( 'load b', 'tm-9studio' ) ),
			array( 'ion-load-c' => esc_html__( 'load c', 'tm-9studio' ) ),
			array( 'ion-load-d' => esc_html__( 'load d', 'tm-9studio' ) ),
			array( 'ion-ios-ionic-outline' => esc_html__( 'ios ionic outline', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-back' => esc_html__( 'ios arrow back', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-forward' => esc_html__( 'ios arrow forward', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-up' => esc_html__( 'ios arrow up', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-right' => esc_html__( 'ios arrow right', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-down' => esc_html__( 'ios arrow down', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-left' => esc_html__( 'ios arrow left', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-thin-up' => esc_html__( 'ios arrow thin up', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-thin-right' => esc_html__( 'ios arrow thin right', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-thin-down' => esc_html__( 'ios arrow thin down', 'tm-9studio' ) ),
			array( 'ion-ios-arrow-thin-left' => esc_html__( 'ios arrow thin left', 'tm-9studio' ) ),
			array( 'ion-ios-circle-filled' => esc_html__( 'ios circle filled', 'tm-9studio' ) ),
			array( 'ion-ios-circle-outline' => esc_html__( 'ios circle outline', 'tm-9studio' ) ),
			array( 'ion-ios-checkmark-empty' => esc_html__( 'ios checkmark empty', 'tm-9studio' ) ),
			array( 'ion-ios-checkmark-outline' => esc_html__( 'ios checkmark outline', 'tm-9studio' ) ),
			array( 'ion-ios-checkmark' => esc_html__( 'ios checkmark', 'tm-9studio' ) ),
			array( 'ion-ios-plus-empty' => esc_html__( 'ios plus empty', 'tm-9studio' ) ),
			array( 'ion-ios-plus-outline' => esc_html__( 'ios plus outline', 'tm-9studio' ) ),
			array( 'ion-ios-plus' => esc_html__( 'ios plus', 'tm-9studio' ) ),
			array( 'ion-ios-close-empty' => esc_html__( 'ios close empty', 'tm-9studio' ) ),
			array( 'ion-ios-close-outline' => esc_html__( 'ios close outline', 'tm-9studio' ) ),
			array( 'ion-ios-close' => esc_html__( 'ios close', 'tm-9studio' ) ),
			array( 'ion-ios-minus-empty' => esc_html__( 'ios minus empty', 'tm-9studio' ) ),
			array( 'ion-ios-minus-outline' => esc_html__( 'ios minus outline', 'tm-9studio' ) ),
			array( 'ion-ios-minus' => esc_html__( 'ios minus', 'tm-9studio' ) ),
			array( 'ion-ios-information-empty' => esc_html__( 'ios information empty', 'tm-9studio' ) ),
			array( 'ion-ios-information-outline' => esc_html__( 'ios information outline', 'tm-9studio' ) ),
			array( 'ion-ios-information' => esc_html__( 'ios information', 'tm-9studio' ) ),
			array( 'ion-ios-help-empty' => esc_html__( 'ios help empty', 'tm-9studio' ) ),
			array( 'ion-ios-help-outline' => esc_html__( 'ios help outline', 'tm-9studio' ) ),
			array( 'ion-ios-help' => esc_html__( 'ios help', 'tm-9studio' ) ),
			array( 'ion-ios-search' => esc_html__( 'ios search', 'tm-9studio' ) ),
			array( 'ion-ios-search-strong' => esc_html__( 'ios search strong', 'tm-9studio' ) ),
			array( 'ion-ios-star' => esc_html__( 'ios star', 'tm-9studio' ) ),
			array( 'ion-ios-star-half' => esc_html__( 'ios star half', 'tm-9studio' ) ),
			array( 'ion-ios-star-outline' => esc_html__( 'ios star outline', 'tm-9studio' ) ),
			array( 'ion-ios-heart' => esc_html__( 'ios heart', 'tm-9studio' ) ),
			array( 'ion-ios-heart-outline' => esc_html__( 'ios heart outline', 'tm-9studio' ) ),
			array( 'ion-ios-more' => esc_html__( 'ios more', 'tm-9studio' ) ),
			array( 'ion-ios-more-outline' => esc_html__( 'ios more outline', 'tm-9studio' ) ),
			array( 'ion-ios-home' => esc_html__( 'ios home', 'tm-9studio' ) ),
			array( 'ion-ios-home-outline' => esc_html__( 'ios home outline', 'tm-9studio' ) ),
			array( 'ion-ios-cloud' => esc_html__( 'ios cloud', 'tm-9studio' ) ),
			array( 'ion-ios-cloud-outline' => esc_html__( 'ios cloud outline', 'tm-9studio' ) ),
			array( 'ion-ios-cloud-upload' => esc_html__( 'ios cloud upload', 'tm-9studio' ) ),
			array( 'ion-ios-cloud-upload-outline' => esc_html__( 'ios cloud upload outline', 'tm-9studio' ) ),
			array( 'ion-ios-cloud-download' => esc_html__( 'ios cloud download', 'tm-9studio' ) ),
			array( 'ion-ios-cloud-download-outline' => esc_html__( 'ios cloud download outline', 'tm-9studio' ) ),
			array( 'ion-ios-upload' => esc_html__( 'ios upload', 'tm-9studio' ) ),
			array( 'ion-ios-upload-outline' => esc_html__( 'ios upload outline', 'tm-9studio' ) ),
			array( 'ion-ios-download' => esc_html__( 'ios download', 'tm-9studio' ) ),
			array( 'ion-ios-download-outline' => esc_html__( 'ios download outline', 'tm-9studio' ) ),
			array( 'ion-ios-refresh' => esc_html__( 'ios refresh', 'tm-9studio' ) ),
			array( 'ion-ios-refresh-outline' => esc_html__( 'ios refresh outline', 'tm-9studio' ) ),
			array( 'ion-ios-refresh-empty' => esc_html__( 'ios refresh empty', 'tm-9studio' ) ),
			array( 'ion-ios-reload' => esc_html__( 'ios reload', 'tm-9studio' ) ),
			array( 'ion-ios-loop-strong' => esc_html__( 'ios loop strong', 'tm-9studio' ) ),
			array( 'ion-ios-loop' => esc_html__( 'ios loop', 'tm-9studio' ) ),
			array( 'ion-ios-bookmarks' => esc_html__( 'ios bookmarks', 'tm-9studio' ) ),
			array( 'ion-ios-bookmarks-outline' => esc_html__( 'ios bookmarks outline', 'tm-9studio' ) ),
			array( 'ion-ios-book' => esc_html__( 'ios book', 'tm-9studio' ) ),
			array( 'ion-ios-book-outline' => esc_html__( 'ios book outline', 'tm-9studio' ) ),
			array( 'ion-ios-flag' => esc_html__( 'ios flag', 'tm-9studio' ) ),
			array( 'ion-ios-flag-outline' => esc_html__( 'ios flag outline', 'tm-9studio' ) ),
			array( 'ion-ios-glasses' => esc_html__( 'ios glasses', 'tm-9studio' ) ),
			array( 'ion-ios-glasses-outline' => esc_html__( 'ios glasses outline', 'tm-9studio' ) ),
			array( 'ion-ios-browsers' => esc_html__( 'ios browsers', 'tm-9studio' ) ),
			array( 'ion-ios-browsers-outline' => esc_html__( 'ios browsers outline', 'tm-9studio' ) ),
			array( 'ion-ios-at' => esc_html__( 'ios at', 'tm-9studio' ) ),
			array( 'ion-ios-at-outline' => esc_html__( 'ios at outline', 'tm-9studio' ) ),
			array( 'ion-ios-pricetag' => esc_html__( 'ios pricetag', 'tm-9studio' ) ),
			array( 'ion-ios-pricetag-outline' => esc_html__( 'ios pricetag outline', 'tm-9studio' ) ),
			array( 'ion-ios-pricetags' => esc_html__( 'ios pricetags', 'tm-9studio' ) ),
			array( 'ion-ios-pricetags-outline' => esc_html__( 'ios pricetags outline', 'tm-9studio' ) ),
			array( 'ion-ios-cart' => esc_html__( 'ios cart', 'tm-9studio' ) ),
			array( 'ion-ios-cart-outline' => esc_html__( 'ios cart outline', 'tm-9studio' ) ),
			array( 'ion-ios-chatboxes' => esc_html__( 'ios chatboxes', 'tm-9studio' ) ),
			array( 'ion-ios-chatboxes-outline' => esc_html__( 'ios chatboxes outline', 'tm-9studio' ) ),
			array( 'ion-ios-chatbubble' => esc_html__( 'ios chatbubble', 'tm-9studio' ) ),
			array( 'ion-ios-chatbubble-outline' => esc_html__( 'ios chatbubble outline', 'tm-9studio' ) ),
			array( 'ion-ios-cog' => esc_html__( 'ios cog', 'tm-9studio' ) ),
			array( 'ion-ios-cog-outline' => esc_html__( 'ios cog outline', 'tm-9studio' ) ),
			array( 'ion-ios-gear' => esc_html__( 'ios gear', 'tm-9studio' ) ),
			array( 'ion-ios-gear-outline' => esc_html__( 'ios gear outline', 'tm-9studio' ) ),
			array( 'ion-ios-settings' => esc_html__( 'ios settings', 'tm-9studio' ) ),
			array( 'ion-ios-settings-strong' => esc_html__( 'ios settings strong', 'tm-9studio' ) ),
			array( 'ion-ios-toggle' => esc_html__( 'ios toggle', 'tm-9studio' ) ),
			array( 'ion-ios-toggle-outline' => esc_html__( 'ios toggle outline', 'tm-9studio' ) ),
			array( 'ion-ios-analytics' => esc_html__( 'ios analytics', 'tm-9studio' ) ),
			array( 'ion-ios-analytics-outline' => esc_html__( 'ios analytics outline', 'tm-9studio' ) ),
			array( 'ion-ios-pie' => esc_html__( 'ios pie', 'tm-9studio' ) ),
			array( 'ion-ios-pie-outline' => esc_html__( 'ios pie outline', 'tm-9studio' ) ),
			array( 'ion-ios-pulse' => esc_html__( 'ios pulse', 'tm-9studio' ) ),
			array( 'ion-ios-pulse-strong' => esc_html__( 'ios pulse strong', 'tm-9studio' ) ),
			array( 'ion-ios-filing' => esc_html__( 'ios filing', 'tm-9studio' ) ),
			array( 'ion-ios-filing-outline' => esc_html__( 'ios filing outline', 'tm-9studio' ) ),
			array( 'ion-ios-box' => esc_html__( 'ios box', 'tm-9studio' ) ),
			array( 'ion-ios-box-outline' => esc_html__( 'ios box outline', 'tm-9studio' ) ),
			array( 'ion-ios-compose' => esc_html__( 'ios compose', 'tm-9studio' ) ),
			array( 'ion-ios-compose-outline' => esc_html__( 'ios compose outline', 'tm-9studio' ) ),
			array( 'ion-ios-trash' => esc_html__( 'ios trash', 'tm-9studio' ) ),
			array( 'ion-ios-trash-outline' => esc_html__( 'ios trash outline', 'tm-9studio' ) ),
			array( 'ion-ios-copy' => esc_html__( 'ios copy', 'tm-9studio' ) ),
			array( 'ion-ios-copy-outline' => esc_html__( 'ios copy outline', 'tm-9studio' ) ),
			array( 'ion-ios-email' => esc_html__( 'ios email', 'tm-9studio' ) ),
			array( 'ion-ios-email-outline' => esc_html__( 'ios email outline', 'tm-9studio' ) ),
			array( 'ion-ios-undo' => esc_html__( 'ios undo', 'tm-9studio' ) ),
			array( 'ion-ios-undo-outline' => esc_html__( 'ios undo outline', 'tm-9studio' ) ),
			array( 'ion-ios-redo' => esc_html__( 'ios redo', 'tm-9studio' ) ),
			array( 'ion-ios-redo-outline' => esc_html__( 'ios redo outline', 'tm-9studio' ) ),
			array( 'ion-ios-paperplane' => esc_html__( 'ios paperplane', 'tm-9studio' ) ),
			array( 'ion-ios-paperplane-outline' => esc_html__( 'ios paperplane outline', 'tm-9studio' ) ),
			array( 'ion-ios-folder' => esc_html__( 'ios folder', 'tm-9studio' ) ),
			array( 'ion-ios-folder-outline' => esc_html__( 'ios folder outline', 'tm-9studio' ) ),
			array( 'ion-ios-paper' => esc_html__( 'ios paper', 'tm-9studio' ) ),
			array( 'ion-ios-paper-outline' => esc_html__( 'ios paper outline', 'tm-9studio' ) ),
			array( 'ion-ios-list' => esc_html__( 'ios list', 'tm-9studio' ) ),
			array( 'ion-ios-list-outline' => esc_html__( 'ios list outline', 'tm-9studio' ) ),
			array( 'ion-ios-world' => esc_html__( 'ios world', 'tm-9studio' ) ),
			array( 'ion-ios-world-outline' => esc_html__( 'ios world outline', 'tm-9studio' ) ),
			array( 'ion-ios-alarm' => esc_html__( 'ios alarm', 'tm-9studio' ) ),
			array( 'ion-ios-alarm-outline' => esc_html__( 'ios alarm outline', 'tm-9studio' ) ),
			array( 'ion-ios-speedometer' => esc_html__( 'ios speedometer', 'tm-9studio' ) ),
			array( 'ion-ios-speedometer-outline' => esc_html__( 'ios speedometer outline', 'tm-9studio' ) ),
			array( 'ion-ios-stopwatch' => esc_html__( 'ios stopwatch', 'tm-9studio' ) ),
			array( 'ion-ios-stopwatch-outline' => esc_html__( 'ios stopwatch outline', 'tm-9studio' ) ),
			array( 'ion-ios-timer' => esc_html__( 'ios timer', 'tm-9studio' ) ),
			array( 'ion-ios-timer-outline' => esc_html__( 'ios timer outline', 'tm-9studio' ) ),
			array( 'ion-ios-clock' => esc_html__( 'ios clock', 'tm-9studio' ) ),
			array( 'ion-ios-clock-outline' => esc_html__( 'ios clock outline', 'tm-9studio' ) ),
			array( 'ion-ios-time' => esc_html__( 'ios time', 'tm-9studio' ) ),
			array( 'ion-ios-time-outline' => esc_html__( 'ios time outline', 'tm-9studio' ) ),
			array( 'ion-ios-calendar' => esc_html__( 'ios calendar', 'tm-9studio' ) ),
			array( 'ion-ios-calendar-outline' => esc_html__( 'ios calendar outline', 'tm-9studio' ) ),
			array( 'ion-ios-photos' => esc_html__( 'ios photos', 'tm-9studio' ) ),
			array( 'ion-ios-photos-outline' => esc_html__( 'ios photos outline', 'tm-9studio' ) ),
			array( 'ion-ios-albums' => esc_html__( 'ios albums', 'tm-9studio' ) ),
			array( 'ion-ios-albums-outline' => esc_html__( 'ios albums outline', 'tm-9studio' ) ),
			array( 'ion-ios-camera' => esc_html__( 'ios camera', 'tm-9studio' ) ),
			array( 'ion-ios-camera-outline' => esc_html__( 'ios camera outline', 'tm-9studio' ) ),
			array( 'ion-ios-reverse-camera' => esc_html__( 'ios reverse camera', 'tm-9studio' ) ),
			array( 'ion-ios-reverse-camera-outline' => esc_html__( 'ios reverse camera outline', 'tm-9studio' ) ),
			array( 'ion-ios-eye' => esc_html__( 'ios eye', 'tm-9studio' ) ),
			array( 'ion-ios-eye-outline' => esc_html__( 'ios eye outline', 'tm-9studio' ) ),
			array( 'ion-ios-bolt' => esc_html__( 'ios bolt', 'tm-9studio' ) ),
			array( 'ion-ios-bolt-outline' => esc_html__( 'ios bolt outline', 'tm-9studio' ) ),
			array( 'ion-ios-color-wand' => esc_html__( 'ios color wand', 'tm-9studio' ) ),
			array( 'ion-ios-color-wand-outline' => esc_html__( 'ios color wand outline', 'tm-9studio' ) ),
			array( 'ion-ios-color-filter' => esc_html__( 'ios color filter', 'tm-9studio' ) ),
			array( 'ion-ios-color-filter-outline' => esc_html__( 'ios color filter outline', 'tm-9studio' ) ),
			array( 'ion-ios-grid-view' => esc_html__( 'ios grid view', 'tm-9studio' ) ),
			array( 'ion-ios-grid-view-outline' => esc_html__( 'ios grid view outline', 'tm-9studio' ) ),
			array( 'ion-ios-crop-strong' => esc_html__( 'ios crop strong', 'tm-9studio' ) ),
			array( 'ion-ios-crop' => esc_html__( 'ios crop', 'tm-9studio' ) ),
			array( 'ion-ios-barcode' => esc_html__( 'ios barcode', 'tm-9studio' ) ),
			array( 'ion-ios-barcode-outline' => esc_html__( 'ios barcode outline', 'tm-9studio' ) ),
			array( 'ion-ios-briefcase' => esc_html__( 'ios briefcase', 'tm-9studio' ) ),
			array( 'ion-ios-briefcase-outline' => esc_html__( 'ios briefcase outline', 'tm-9studio' ) ),
			array( 'ion-ios-medkit' => esc_html__( 'ios medkit', 'tm-9studio' ) ),
			array( 'ion-ios-medkit-outline' => esc_html__( 'ios medkit outline', 'tm-9studio' ) ),
			array( 'ion-ios-medical' => esc_html__( 'ios medical', 'tm-9studio' ) ),
			array( 'ion-ios-medical-outline' => esc_html__( 'ios medical outline', 'tm-9studio' ) ),
			array( 'ion-ios-infinite' => esc_html__( 'ios infinite', 'tm-9studio' ) ),
			array( 'ion-ios-infinite-outline' => esc_html__( 'ios infinite outline', 'tm-9studio' ) ),
			array( 'ion-ios-calculator' => esc_html__( 'ios calculator', 'tm-9studio' ) ),
			array( 'ion-ios-calculator-outline' => esc_html__( 'ios calculator outline', 'tm-9studio' ) ),
			array( 'ion-ios-keypad' => esc_html__( 'ios keypad', 'tm-9studio' ) ),
			array( 'ion-ios-keypad-outline' => esc_html__( 'ios keypad outline', 'tm-9studio' ) ),
			array( 'ion-ios-telephone' => esc_html__( 'ios telephone', 'tm-9studio' ) ),
			array( 'ion-ios-telephone-outline' => esc_html__( 'ios telephone outline', 'tm-9studio' ) ),
			array( 'ion-ios-drag' => esc_html__( 'ios drag', 'tm-9studio' ) ),
			array( 'ion-ios-location' => esc_html__( 'ios location', 'tm-9studio' ) ),
			array( 'ion-ios-location-outline' => esc_html__( 'ios location outline', 'tm-9studio' ) ),
			array( 'ion-ios-navigate' => esc_html__( 'ios navigate', 'tm-9studio' ) ),
			array( 'ion-ios-navigate-outline' => esc_html__( 'ios navigate outline', 'tm-9studio' ) ),
			array( 'ion-ios-locked' => esc_html__( 'ios locked', 'tm-9studio' ) ),
			array( 'ion-ios-locked-outline' => esc_html__( 'ios locked outline', 'tm-9studio' ) ),
			array( 'ion-ios-unlocked' => esc_html__( 'ios unlocked', 'tm-9studio' ) ),
			array( 'ion-ios-unlocked-outline' => esc_html__( 'ios unlocked outline', 'tm-9studio' ) ),
			array( 'ion-ios-monitor' => esc_html__( 'ios monitor', 'tm-9studio' ) ),
			array( 'ion-ios-monitor-outline' => esc_html__( 'ios monitor outline', 'tm-9studio' ) ),
			array( 'ion-ios-printer' => esc_html__( 'ios printer', 'tm-9studio' ) ),
			array( 'ion-ios-printer-outline' => esc_html__( 'ios printer outline', 'tm-9studio' ) ),
			array( 'ion-ios-game-controller-a' => esc_html__( 'ios game controller a', 'tm-9studio' ) ),
			array( 'ion-ios-game-controller-a-outline' => esc_html__( 'ios game controller a outline', 'tm-9studio' ) ),
			array( 'ion-ios-game-controller-b' => esc_html__( 'ios game controller b', 'tm-9studio' ) ),
			array( 'ion-ios-game-controller-b-outline' => esc_html__( 'ios game controller b outline', 'tm-9studio' ) ),
			array( 'ion-ios-americanfootball' => esc_html__( 'ios americanfootball', 'tm-9studio' ) ),
			array( 'ion-ios-americanfootball-outline' => esc_html__( 'ios americanfootball outline', 'tm-9studio' ) ),
			array( 'ion-ios-baseball' => esc_html__( 'ios baseball', 'tm-9studio' ) ),
			array( 'ion-ios-baseball-outline' => esc_html__( 'ios baseball outline', 'tm-9studio' ) ),
			array( 'ion-ios-basketball' => esc_html__( 'ios basketball', 'tm-9studio' ) ),
			array( 'ion-ios-basketball-outline' => esc_html__( 'ios basketball outline', 'tm-9studio' ) ),
			array( 'ion-ios-tennisball' => esc_html__( 'ios tennisball', 'tm-9studio' ) ),
			array( 'ion-ios-tennisball-outline' => esc_html__( 'ios tennisball outline', 'tm-9studio' ) ),
			array( 'ion-ios-football' => esc_html__( 'ios football', 'tm-9studio' ) ),
			array( 'ion-ios-football-outline' => esc_html__( 'ios football outline', 'tm-9studio' ) ),
			array( 'ion-ios-body' => esc_html__( 'ios body', 'tm-9studio' ) ),
			array( 'ion-ios-body-outline' => esc_html__( 'ios body outline', 'tm-9studio' ) ),
			array( 'ion-ios-person' => esc_html__( 'ios person', 'tm-9studio' ) ),
			array( 'ion-ios-person-outline' => esc_html__( 'ios person outline', 'tm-9studio' ) ),
			array( 'ion-ios-personadd' => esc_html__( 'ios personadd', 'tm-9studio' ) ),
			array( 'ion-ios-personadd-outline' => esc_html__( 'ios personadd outline', 'tm-9studio' ) ),
			array( 'ion-ios-people' => esc_html__( 'ios people', 'tm-9studio' ) ),
			array( 'ion-ios-people-outline' => esc_html__( 'ios people outline', 'tm-9studio' ) ),
			array( 'ion-ios-musical-notes' => esc_html__( 'ios musical notes', 'tm-9studio' ) ),
			array( 'ion-ios-musical-note' => esc_html__( 'ios musical note', 'tm-9studio' ) ),
			array( 'ion-ios-bell' => esc_html__( 'ios bell', 'tm-9studio' ) ),
			array( 'ion-ios-bell-outline' => esc_html__( 'ios bell outline', 'tm-9studio' ) ),
			array( 'ion-ios-mic' => esc_html__( 'ios mic', 'tm-9studio' ) ),
			array( 'ion-ios-mic-outline' => esc_html__( 'ios mic outline', 'tm-9studio' ) ),
			array( 'ion-ios-mic-off' => esc_html__( 'ios mic off', 'tm-9studio' ) ),
			array( 'ion-ios-volume-high' => esc_html__( 'ios volume high', 'tm-9studio' ) ),
			array( 'ion-ios-volume-low' => esc_html__( 'ios volume low', 'tm-9studio' ) ),
			array( 'ion-ios-play' => esc_html__( 'ios play', 'tm-9studio' ) ),
			array( 'ion-ios-play-outline' => esc_html__( 'ios play outline', 'tm-9studio' ) ),
			array( 'ion-ios-pause' => esc_html__( 'ios pause', 'tm-9studio' ) ),
			array( 'ion-ios-pause-outline' => esc_html__( 'ios pause outline', 'tm-9studio' ) ),
			array( 'ion-ios-recording' => esc_html__( 'ios recording', 'tm-9studio' ) ),
			array( 'ion-ios-recording-outline' => esc_html__( 'ios recording outline', 'tm-9studio' ) ),
			array( 'ion-ios-fastforward' => esc_html__( 'ios fastforward', 'tm-9studio' ) ),
			array( 'ion-ios-fastforward-outline' => esc_html__( 'ios fastforward outline', 'tm-9studio' ) ),
			array( 'ion-ios-rewind' => esc_html__( 'ios rewind', 'tm-9studio' ) ),
			array( 'ion-ios-rewind-outline' => esc_html__( 'ios rewind outline', 'tm-9studio' ) ),
			array( 'ion-ios-skipbackward' => esc_html__( 'ios skipbackward', 'tm-9studio' ) ),
			array( 'ion-ios-skipbackward-outline' => esc_html__( 'ios skipbackward outline', 'tm-9studio' ) ),
			array( 'ion-ios-skipforward' => esc_html__( 'ios skipforward', 'tm-9studio' ) ),
			array( 'ion-ios-skipforward-outline' => esc_html__( 'ios skipforward outline', 'tm-9studio' ) ),
			array( 'ion-ios-shuffle-strong' => esc_html__( 'ios shuffle strong', 'tm-9studio' ) ),
			array( 'ion-ios-shuffle' => esc_html__( 'ios shuffle', 'tm-9studio' ) ),
			array( 'ion-ios-videocam' => esc_html__( 'ios videocam', 'tm-9studio' ) ),
			array( 'ion-ios-videocam-outline' => esc_html__( 'ios videocam outline', 'tm-9studio' ) ),
			array( 'ion-ios-film' => esc_html__( 'ios film', 'tm-9studio' ) ),
			array( 'ion-ios-film-outline' => esc_html__( 'ios film outline', 'tm-9studio' ) ),
			array( 'ion-ios-flask' => esc_html__( 'ios flask', 'tm-9studio' ) ),
			array( 'ion-ios-flask-outline' => esc_html__( 'ios flask outline', 'tm-9studio' ) ),
			array( 'ion-ios-lightbulb' => esc_html__( 'ios lightbulb', 'tm-9studio' ) ),
			array( 'ion-ios-lightbulb-outline' => esc_html__( 'ios lightbulb outline', 'tm-9studio' ) ),
			array( 'ion-ios-wineglass' => esc_html__( 'ios wineglass', 'tm-9studio' ) ),
			array( 'ion-ios-wineglass-outline' => esc_html__( 'ios wineglass outline', 'tm-9studio' ) ),
			array( 'ion-ios-pint' => esc_html__( 'ios pint', 'tm-9studio' ) ),
			array( 'ion-ios-pint-outline' => esc_html__( 'ios pint outline', 'tm-9studio' ) ),
			array( 'ion-ios-nutrition' => esc_html__( 'ios nutrition', 'tm-9studio' ) ),
			array( 'ion-ios-nutrition-outline' => esc_html__( 'ios nutrition outline', 'tm-9studio' ) ),
			array( 'ion-ios-flower' => esc_html__( 'ios flower', 'tm-9studio' ) ),
			array( 'ion-ios-flower-outline' => esc_html__( 'ios flower outline', 'tm-9studio' ) ),
			array( 'ion-ios-rose' => esc_html__( 'ios rose', 'tm-9studio' ) ),
			array( 'ion-ios-rose-outline' => esc_html__( 'ios rose outline', 'tm-9studio' ) ),
			array( 'ion-ios-paw' => esc_html__( 'ios paw', 'tm-9studio' ) ),
			array( 'ion-ios-paw-outline' => esc_html__( 'ios paw outline', 'tm-9studio' ) ),
			array( 'ion-ios-flame' => esc_html__( 'ios flame', 'tm-9studio' ) ),
			array( 'ion-ios-flame-outline' => esc_html__( 'ios flame outline', 'tm-9studio' ) ),
			array( 'ion-ios-sunny' => esc_html__( 'ios sunny', 'tm-9studio' ) ),
			array( 'ion-ios-sunny-outline' => esc_html__( 'ios sunny outline', 'tm-9studio' ) ),
			array( 'ion-ios-partlysunny' => esc_html__( 'ios partlysunny', 'tm-9studio' ) ),
			array( 'ion-ios-partlysunny-outline' => esc_html__( 'ios partlysunny outline', 'tm-9studio' ) ),
			array( 'ion-ios-cloudy' => esc_html__( 'ios cloudy', 'tm-9studio' ) ),
			array( 'ion-ios-cloudy-outline' => esc_html__( 'ios cloudy outline', 'tm-9studio' ) ),
			array( 'ion-ios-rainy' => esc_html__( 'ios rainy', 'tm-9studio' ) ),
			array( 'ion-ios-rainy-outline' => esc_html__( 'ios rainy outline', 'tm-9studio' ) ),
			array( 'ion-ios-thunderstorm' => esc_html__( 'ios thunderstorm', 'tm-9studio' ) ),
			array( 'ion-ios-thunderstorm-outline' => esc_html__( 'ios thunderstorm outline', 'tm-9studio' ) ),
			array( 'ion-ios-snowy' => esc_html__( 'ios snowy', 'tm-9studio' ) ),
			array( 'ion-ios-moon' => esc_html__( 'ios moon', 'tm-9studio' ) ),
			array( 'ion-ios-moon-outline' => esc_html__( 'ios moon outline', 'tm-9studio' ) ),
			array( 'ion-ios-cloudy-night' => esc_html__( 'ios cloudy night', 'tm-9studio' ) ),
			array( 'ion-ios-cloudy-night-outline' => esc_html__( 'ios cloudy night outline', 'tm-9studio' ) ),
			array( 'ion-android-arrow-up' => esc_html__( 'android arrow up', 'tm-9studio' ) ),
			array( 'ion-android-arrow-forward' => esc_html__( 'android arrow forward', 'tm-9studio' ) ),
			array( 'ion-android-arrow-down' => esc_html__( 'android arrow down', 'tm-9studio' ) ),
			array( 'ion-android-arrow-back' => esc_html__( 'android arrow back', 'tm-9studio' ) ),
			array( 'ion-android-arrow-dropup' => esc_html__( 'android arrow dropup', 'tm-9studio' ) ),
			array( 'ion-android-arrow-dropup-circle' => esc_html__( 'android arrow dropup circle', 'tm-9studio' ) ),
			array( 'ion-android-arrow-dropright' => esc_html__( 'android arrow dropright', 'tm-9studio' ) ),
			array( 'ion-android-arrow-dropright-circle' => esc_html__( 'android arrow dropright circle', 'tm-9studio' ) ),
			array( 'ion-android-arrow-dropdown' => esc_html__( 'android arrow dropdown', 'tm-9studio' ) ),
			array( 'ion-android-arrow-dropdown-circle' => esc_html__( 'android arrow dropdown circle', 'tm-9studio' ) ),
			array( 'ion-android-arrow-dropleft' => esc_html__( 'android arrow dropleft', 'tm-9studio' ) ),
			array( 'ion-android-arrow-dropleft-circle' => esc_html__( 'android arrow dropleft circle', 'tm-9studio' ) ),
			array( 'ion-android-add' => esc_html__( 'android add', 'tm-9studio' ) ),
			array( 'ion-android-add-circle' => esc_html__( 'android add circle', 'tm-9studio' ) ),
			array( 'ion-android-remove' => esc_html__( 'android remove', 'tm-9studio' ) ),
			array( 'ion-android-remove-circle' => esc_html__( 'android remove circle', 'tm-9studio' ) ),
			array( 'ion-android-close' => esc_html__( 'android close', 'tm-9studio' ) ),
			array( 'ion-android-cancel' => esc_html__( 'android cancel', 'tm-9studio' ) ),
			array( 'ion-android-radio-button-off' => esc_html__( 'android radio button off', 'tm-9studio' ) ),
			array( 'ion-android-radio-button-on' => esc_html__( 'android radio button on', 'tm-9studio' ) ),
			array( 'ion-android-checkmark-circle' => esc_html__( 'android checkmark circle', 'tm-9studio' ) ),
			array( 'ion-android-checkbox-outline-blank' => esc_html__( 'android checkbox outline blank', 'tm-9studio' ) ),
			array( 'ion-android-checkbox-outline' => esc_html__( 'android checkbox outline', 'tm-9studio' ) ),
			array( 'ion-android-checkbox-blank' => esc_html__( 'android checkbox blank', 'tm-9studio' ) ),
			array( 'ion-android-checkbox' => esc_html__( 'android checkbox', 'tm-9studio' ) ),
			array( 'ion-android-done' => esc_html__( 'android done', 'tm-9studio' ) ),
			array( 'ion-android-done-all' => esc_html__( 'android done all', 'tm-9studio' ) ),
			array( 'ion-android-menu' => esc_html__( 'android menu', 'tm-9studio' ) ),
			array( 'ion-android-more-horizontal' => esc_html__( 'android more horizontal', 'tm-9studio' ) ),
			array( 'ion-android-more-vertical' => esc_html__( 'android more vertical', 'tm-9studio' ) ),
			array( 'ion-android-refresh' => esc_html__( 'android refresh', 'tm-9studio' ) ),
			array( 'ion-android-sync' => esc_html__( 'android sync', 'tm-9studio' ) ),
			array( 'ion-android-wifi' => esc_html__( 'android wifi', 'tm-9studio' ) ),
			array( 'ion-android-call' => esc_html__( 'android call', 'tm-9studio' ) ),
			array( 'ion-android-apps' => esc_html__( 'android apps', 'tm-9studio' ) ),
			array( 'ion-android-settings' => esc_html__( 'android settings', 'tm-9studio' ) ),
			array( 'ion-android-options' => esc_html__( 'android options', 'tm-9studio' ) ),
			array( 'ion-android-funnel' => esc_html__( 'android funnel', 'tm-9studio' ) ),
			array( 'ion-android-search' => esc_html__( 'android search', 'tm-9studio' ) ),
			array( 'ion-android-home' => esc_html__( 'android home', 'tm-9studio' ) ),
			array( 'ion-android-cloud-outline' => esc_html__( 'android cloud outline', 'tm-9studio' ) ),
			array( 'ion-android-cloud' => esc_html__( 'android cloud', 'tm-9studio' ) ),
			array( 'ion-android-download' => esc_html__( 'android download', 'tm-9studio' ) ),
			array( 'ion-android-upload' => esc_html__( 'android upload', 'tm-9studio' ) ),
			array( 'ion-android-cloud-done' => esc_html__( 'android cloud done', 'tm-9studio' ) ),
			array( 'ion-android-cloud-circle' => esc_html__( 'android cloud circle', 'tm-9studio' ) ),
			array( 'ion-android-favorite-outline' => esc_html__( 'android favorite outline', 'tm-9studio' ) ),
			array( 'ion-android-favorite' => esc_html__( 'android favorite', 'tm-9studio' ) ),
			array( 'ion-android-star-outline' => esc_html__( 'android star outline', 'tm-9studio' ) ),
			array( 'ion-android-star-half' => esc_html__( 'android star half', 'tm-9studio' ) ),
			array( 'ion-android-star' => esc_html__( 'android star', 'tm-9studio' ) ),
			array( 'ion-android-calendar' => esc_html__( 'android calendar', 'tm-9studio' ) ),
			array( 'ion-android-alarm-clock' => esc_html__( 'android alarm clock', 'tm-9studio' ) ),
			array( 'ion-android-time' => esc_html__( 'android time', 'tm-9studio' ) ),
			array( 'ion-android-stopwatch' => esc_html__( 'android stopwatch', 'tm-9studio' ) ),
			array( 'ion-android-watch' => esc_html__( 'android watch', 'tm-9studio' ) ),
			array( 'ion-android-locate' => esc_html__( 'android locate', 'tm-9studio' ) ),
			array( 'ion-android-navigate' => esc_html__( 'android navigate', 'tm-9studio' ) ),
			array( 'ion-android-pin' => esc_html__( 'android pin', 'tm-9studio' ) ),
			array( 'ion-android-compass' => esc_html__( 'android compass', 'tm-9studio' ) ),
			array( 'ion-android-map' => esc_html__( 'android map', 'tm-9studio' ) ),
			array( 'ion-android-walk' => esc_html__( 'android walk', 'tm-9studio' ) ),
			array( 'ion-android-bicycle' => esc_html__( 'android bicycle', 'tm-9studio' ) ),
			array( 'ion-android-car' => esc_html__( 'android car', 'tm-9studio' ) ),
			array( 'ion-android-bus' => esc_html__( 'android bus', 'tm-9studio' ) ),
			array( 'ion-android-subway' => esc_html__( 'android subway', 'tm-9studio' ) ),
			array( 'ion-android-train' => esc_html__( 'android train', 'tm-9studio' ) ),
			array( 'ion-android-boat' => esc_html__( 'android boat', 'tm-9studio' ) ),
			array( 'ion-android-plane' => esc_html__( 'android plane', 'tm-9studio' ) ),
			array( 'ion-android-restaurant' => esc_html__( 'android restaurant', 'tm-9studio' ) ),
			array( 'ion-android-bar' => esc_html__( 'android bar', 'tm-9studio' ) ),
			array( 'ion-android-cart' => esc_html__( 'android cart', 'tm-9studio' ) ),
			array( 'ion-android-camera' => esc_html__( 'android camera', 'tm-9studio' ) ),
			array( 'ion-android-image' => esc_html__( 'android image', 'tm-9studio' ) ),
			array( 'ion-android-film' => esc_html__( 'android film', 'tm-9studio' ) ),
			array( 'ion-android-color-palette' => esc_html__( 'android color palette', 'tm-9studio' ) ),
			array( 'ion-android-create' => esc_html__( 'android create', 'tm-9studio' ) ),
			array( 'ion-android-mail' => esc_html__( 'android mail', 'tm-9studio' ) ),
			array( 'ion-android-drafts' => esc_html__( 'android drafts', 'tm-9studio' ) ),
			array( 'ion-android-send' => esc_html__( 'android send', 'tm-9studio' ) ),
			array( 'ion-android-archive' => esc_html__( 'android archive', 'tm-9studio' ) ),
			array( 'ion-android-delete' => esc_html__( 'android delete', 'tm-9studio' ) ),
			array( 'ion-android-attach' => esc_html__( 'android attach', 'tm-9studio' ) ),
			array( 'ion-android-share' => esc_html__( 'android share', 'tm-9studio' ) ),
			array( 'ion-android-share-alt' => esc_html__( 'android share alt', 'tm-9studio' ) ),
			array( 'ion-android-bookmark' => esc_html__( 'android bookmark', 'tm-9studio' ) ),
			array( 'ion-android-document' => esc_html__( 'android document', 'tm-9studio' ) ),
			array( 'ion-android-clipboard' => esc_html__( 'android clipboard', 'tm-9studio' ) ),
			array( 'ion-android-list' => esc_html__( 'android list', 'tm-9studio' ) ),
			array( 'ion-android-folder-open' => esc_html__( 'android folder open', 'tm-9studio' ) ),
			array( 'ion-android-folder' => esc_html__( 'android folder', 'tm-9studio' ) ),
			array( 'ion-android-print' => esc_html__( 'android print', 'tm-9studio' ) ),
			array( 'ion-android-open' => esc_html__( 'android open', 'tm-9studio' ) ),
			array( 'ion-android-exit' => esc_html__( 'android exit', 'tm-9studio' ) ),
			array( 'ion-android-contract' => esc_html__( 'android contract', 'tm-9studio' ) ),
			array( 'ion-android-expand' => esc_html__( 'android expand', 'tm-9studio' ) ),
			array( 'ion-android-globe' => esc_html__( 'android globe', 'tm-9studio' ) ),
			array( 'ion-android-chat' => esc_html__( 'android chat', 'tm-9studio' ) ),
			array( 'ion-android-textsms' => esc_html__( 'android textsms', 'tm-9studio' ) ),
			array( 'ion-android-hangout' => esc_html__( 'android hangout', 'tm-9studio' ) ),
			array( 'ion-android-happy' => esc_html__( 'android happy', 'tm-9studio' ) ),
			array( 'ion-android-sad' => esc_html__( 'android sad', 'tm-9studio' ) ),
			array( 'ion-android-person' => esc_html__( 'android person', 'tm-9studio' ) ),
			array( 'ion-android-people' => esc_html__( 'android people', 'tm-9studio' ) ),
			array( 'ion-android-person-add' => esc_html__( 'android person add', 'tm-9studio' ) ),
			array( 'ion-android-contact' => esc_html__( 'android contact', 'tm-9studio' ) ),
			array( 'ion-android-contacts' => esc_html__( 'android contacts', 'tm-9studio' ) ),
			array( 'ion-android-playstore' => esc_html__( 'android playstore', 'tm-9studio' ) ),
			array( 'ion-android-lock' => esc_html__( 'android lock', 'tm-9studio' ) ),
			array( 'ion-android-unlock' => esc_html__( 'android unlock', 'tm-9studio' ) ),
			array( 'ion-android-microphone' => esc_html__( 'android microphone', 'tm-9studio' ) ),
			array( 'ion-android-microphone-off' => esc_html__( 'android microphone off', 'tm-9studio' ) ),
			array( 'ion-android-notifications-none' => esc_html__( 'android notifications none', 'tm-9studio' ) ),
			array( 'ion-android-notifications' => esc_html__( 'android notifications', 'tm-9studio' ) ),
			array( 'ion-android-notifications-off' => esc_html__( 'android notifications off', 'tm-9studio' ) ),
			array( 'ion-android-volume-mute' => esc_html__( 'android volume mute', 'tm-9studio' ) ),
			array( 'ion-android-volume-down' => esc_html__( 'android volume down', 'tm-9studio' ) ),
			array( 'ion-android-volume-up' => esc_html__( 'android volume up', 'tm-9studio' ) ),
			array( 'ion-android-volume-off' => esc_html__( 'android volume off', 'tm-9studio' ) ),
			array( 'ion-android-hand' => esc_html__( 'android hand', 'tm-9studio' ) ),
			array( 'ion-android-desktop' => esc_html__( 'android desktop', 'tm-9studio' ) ),
			array( 'ion-android-laptop' => esc_html__( 'android laptop', 'tm-9studio' ) ),
			array( 'ion-android-phone-portrait' => esc_html__( 'android phone portrait', 'tm-9studio' ) ),
			array( 'ion-android-phone-landscape' => esc_html__( 'android phone landscape', 'tm-9studio' ) ),
			array( 'ion-android-bulb' => esc_html__( 'android bulb', 'tm-9studio' ) ),
			array( 'ion-android-sunny' => esc_html__( 'android sunny', 'tm-9studio' ) ),
			array( 'ion-android-alert' => esc_html__( 'android alert', 'tm-9studio' ) ),
			array( 'ion-android-warning' => esc_html__( 'android warning', 'tm-9studio' ) ),
			array( 'ion-social-twitter' => esc_html__( 'social twitter', 'tm-9studio' ) ),
			array( 'ion-social-twitter-outline' => esc_html__( 'social twitter outline', 'tm-9studio' ) ),
			array( 'ion-social-facebook' => esc_html__( 'social facebook', 'tm-9studio' ) ),
			array( 'ion-social-facebook-outline' => esc_html__( 'social facebook outline', 'tm-9studio' ) ),
			array( 'ion-social-googleplus' => esc_html__( 'social googleplus', 'tm-9studio' ) ),
			array( 'ion-social-googleplus-outline' => esc_html__( 'social googleplus outline', 'tm-9studio' ) ),
			array( 'ion-social-google' => esc_html__( 'social google', 'tm-9studio' ) ),
			array( 'ion-social-google-outline' => esc_html__( 'social google outline', 'tm-9studio' ) ),
			array( 'ion-social-dribbble' => esc_html__( 'social dribbble', 'tm-9studio' ) ),
			array( 'ion-social-dribbble-outline' => esc_html__( 'social dribbble outline', 'tm-9studio' ) ),
			array( 'ion-social-octocat' => esc_html__( 'social octocat', 'tm-9studio' ) ),
			array( 'ion-social-github' => esc_html__( 'social github', 'tm-9studio' ) ),
			array( 'ion-social-github-outline' => esc_html__( 'social github outline', 'tm-9studio' ) ),
			array( 'ion-social-instagram' => esc_html__( 'social instagram', 'tm-9studio' ) ),
			array( 'ion-social-instagram-outline' => esc_html__( 'social instagram outline', 'tm-9studio' ) ),
			array( 'ion-social-whatsapp' => esc_html__( 'social whatsapp', 'tm-9studio' ) ),
			array( 'ion-social-whatsapp-outline' => esc_html__( 'social whatsapp outline', 'tm-9studio' ) ),
			array( 'ion-social-snapchat' => esc_html__( 'social snapchat', 'tm-9studio' ) ),
			array( 'ion-social-snapchat-outline' => esc_html__( 'social snapchat outline', 'tm-9studio' ) ),
			array( 'ion-social-foursquare' => esc_html__( 'social foursquare', 'tm-9studio' ) ),
			array( 'ion-social-foursquare-outline' => esc_html__( 'social foursquare outline', 'tm-9studio' ) ),
			array( 'ion-social-pinterest' => esc_html__( 'social pinterest', 'tm-9studio' ) ),
			array( 'ion-social-pinterest-outline' => esc_html__( 'social pinterest outline', 'tm-9studio' ) ),
			array( 'ion-social-rss' => esc_html__( 'social rss', 'tm-9studio' ) ),
			array( 'ion-social-rss-outline' => esc_html__( 'social rss outline', 'tm-9studio' ) ),
			array( 'ion-social-tumblr' => esc_html__( 'social tumblr', 'tm-9studio' ) ),
			array( 'ion-social-tumblr-outline' => esc_html__( 'social tumblr outline', 'tm-9studio' ) ),
			array( 'ion-social-wordpress' => esc_html__( 'social wordpress', 'tm-9studio' ) ),
			array( 'ion-social-wordpress-outline' => esc_html__( 'social wordpress outline', 'tm-9studio' ) ),
			array( 'ion-social-reddit' => esc_html__( 'social reddit', 'tm-9studio' ) ),
			array( 'ion-social-reddit-outline' => esc_html__( 'social reddit outline', 'tm-9studio' ) ),
			array( 'ion-social-hackernews' => esc_html__( 'social hackernews', 'tm-9studio' ) ),
			array( 'ion-social-hackernews-outline' => esc_html__( 'social hackernews outline', 'tm-9studio' ) ),
			array( 'ion-social-designernews' => esc_html__( 'social designernews', 'tm-9studio' ) ),
			array( 'ion-social-designernews-outline' => esc_html__( 'social designernews outline', 'tm-9studio' ) ),
			array( 'ion-social-yahoo' => esc_html__( 'social yahoo', 'tm-9studio' ) ),
			array( 'ion-social-yahoo-outline' => esc_html__( 'social yahoo outline', 'tm-9studio' ) ),
			array( 'ion-social-buffer' => esc_html__( 'social buffer', 'tm-9studio' ) ),
			array( 'ion-social-buffer-outline' => esc_html__( 'social buffer outline', 'tm-9studio' ) ),
			array( 'ion-social-skype' => esc_html__( 'social skype', 'tm-9studio' ) ),
			array( 'ion-social-skype-outline' => esc_html__( 'social skype outline', 'tm-9studio' ) ),
			array( 'ion-social-linkedin' => esc_html__( 'social linkedin', 'tm-9studio' ) ),
			array( 'ion-social-linkedin-outline' => esc_html__( 'social linkedin outline', 'tm-9studio' ) ),
			array( 'ion-social-vimeo' => esc_html__( 'social vimeo', 'tm-9studio' ) ),
			array( 'ion-social-vimeo-outline' => esc_html__( 'social vimeo outline', 'tm-9studio' ) ),
			array( 'ion-social-twitch' => esc_html__( 'social twitch', 'tm-9studio' ) ),
			array( 'ion-social-twitch-outline' => esc_html__( 'social twitch outline', 'tm-9studio' ) ),
			array( 'ion-social-youtube' => esc_html__( 'social youtube', 'tm-9studio' ) ),
			array( 'ion-social-youtube-outline' => esc_html__( 'social youtube outline', 'tm-9studio' ) ),
			array( 'ion-social-dropbox' => esc_html__( 'social dropbox', 'tm-9studio' ) ),
			array( 'ion-social-dropbox-outline' => esc_html__( 'social dropbox outline', 'tm-9studio' ) ),
			array( 'ion-social-apple' => esc_html__( 'social apple', 'tm-9studio' ) ),
			array( 'ion-social-apple-outline' => esc_html__( 'social apple outline', 'tm-9studio' ) ),
			array( 'ion-social-android' => esc_html__( 'social android', 'tm-9studio' ) ),
			array( 'ion-social-android-outline' => esc_html__( 'social android outline', 'tm-9studio' ) ),
			array( 'ion-social-windows' => esc_html__( 'social windows', 'tm-9studio' ) ),
			array( 'ion-social-windows-outline' => esc_html__( 'social windows outline', 'tm-9studio' ) ),
			array( 'ion-social-html5' => esc_html__( 'social html5', 'tm-9studio' ) ),
			array( 'ion-social-html5-outline' => esc_html__( 'social html5 outline', 'tm-9studio' ) ),
			array( 'ion-social-css3' => esc_html__( 'social css3', 'tm-9studio' ) ),
			array( 'ion-social-css3-outline' => esc_html__( 'social css3 outline', 'tm-9studio' ) ),
			array( 'ion-social-javascript' => esc_html__( 'social javascript', 'tm-9studio' ) ),
			array( 'ion-social-javascript-outline' => esc_html__( 'social javascript outline', 'tm-9studio' ) ),
			array( 'ion-social-angular' => esc_html__( 'social angular', 'tm-9studio' ) ),
			array( 'ion-social-angular-outline' => esc_html__( 'social angular outline', 'tm-9studio' ) ),
			array( 'ion-social-nodejs' => esc_html__( 'social nodejs', 'tm-9studio' ) ),
			array( 'ion-social-sass' => esc_html__( 'social sass', 'tm-9studio' ) ),
			array( 'ion-social-python' => esc_html__( 'social python', 'tm-9studio' ) ),
			array( 'ion-social-chrome' => esc_html__( 'social chrome', 'tm-9studio' ) ),
			array( 'ion-social-chrome-outline' => esc_html__( 'social chrome outline', 'tm-9studio' ) ),
			array( 'ion-social-codepen' => esc_html__( 'social codepen', 'tm-9studio' ) ),
			array( 'ion-social-codepen-outline' => esc_html__( 'social codepen outline', 'tm-9studio' ) ),
			array( 'ion-social-markdown' => esc_html__( 'social markdown', 'tm-9studio' ) ),
			array( 'ion-social-tux' => esc_html__( 'social tux', 'tm-9studio' ) ),
			array( 'ion-social-freebsd-devil' => esc_html__( 'social freebsd devil', 'tm-9studio' ) ),
			array( 'ion-social-usd' => esc_html__( 'social usd', 'tm-9studio' ) ),
			array( 'ion-social-usd-outline' => esc_html__( 'social usd outline', 'tm-9studio' ) ),
			array( 'ion-social-bitcoin' => esc_html__( 'social bitcoin', 'tm-9studio' ) ),
			array( 'ion-social-bitcoin-outline' => esc_html__( 'social bitcoin outline', 'tm-9studio' ) ),
			array( 'ion-social-yen' => esc_html__( 'social yen', 'tm-9studio' ) ),
			array( 'ion-social-yen-outline' => esc_html__( 'social yen outline', 'tm-9studio' ) ),
			array( 'ion-social-euro' => esc_html__( 'social euro', 'tm-9studio' ) ),
			array( 'ion-social-euro-outline' => esc_html__( 'social euro outline', 'tm-9studio' ) ),
		);

		return array_merge( $icons, $ionicons );
	}

	public function add_9studio( $icons ) {
		$ninestudio_icons = array(
			array( 'ns-d-glasses' => esc_html__( 'Glasses', 'tm-9studio' ) ),
			array( 'ns-award' => esc_html__( 'Award', 'tm-9studio' ) ),
			array( 'ns-cinema-screen' => esc_html__( 'cinema-screen', 'tm-9studio' ) ),
			array( 'ns-film-strip' => esc_html__( 'film-strip', 'tm-9studio' ) ),
			array( 'ns-film' => esc_html__( 'film', 'tm-9studio' ) ),
			array( 'ns-illumination' => esc_html__( 'illumination', 'tm-9studio' ) ),
			array( 'ns-picture' => esc_html__( 'picture', 'tm-9studio' ) ),
			array( 'ns-popcorn' => esc_html__( 'popcorn', 'tm-9studio' ) ),
			array( 'ns-projector-screen' => esc_html__( 'projector-screen', 'tm-9studio' ) ),
			array( 'ns-seats' => esc_html__( 'seats', 'tm-9studio' ) ),
			array( 'ns-television' => esc_html__( 'television', 'tm-9studio' ) ),
			array( 'ns-theater' => esc_html__( 'theater', 'tm-9studio' ) ),
			array( 'ns-tickets' => esc_html__( 'tickets', 'tm-9studio' ) ),
			array( 'ns-tripod' => esc_html__( 'tripod', 'tm-9studio' ) ),
			array( 'ns-video-camera' => esc_html__( 'video-camera', 'tm-9studio' ) ),
		);

		return array_merge( $icons, $ninestudio_icons );
	}
}
